dracut/0028-95fcoe-update-fcoe-interface-check.patch
Thomas Renninger 16452890cf Accepting request 234196 from home:trenn:branches:Base:System
- By Hannes Reinecke <hare@suse.com>:
  - Fixup FCoE booting (bnc#877288)
    * Add 0027-95fcoe-Store-current-configuration-in-dracut-cmdline.patch
    * Add 0028-95fcoe-update-fcoe-interface-check.patch
    * Add 0029-95fcoe-start-lldpad-separately.patch
- Cleanup host_only variable using in mkinitrd
- Remove --force parameter from mkinitrd, we always force anyway
    * Add 0030-dracut-mkinitd_cleanup_force_host_only_var.patch
- Remove acpi parameter from mkinitrd, this is done differently nowadays
- Adjust manpage accordingly

OBS-URL: https://build.opensuse.org/request/show/234196
OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=144
2014-05-15 14:13:49 +00:00

39 lines
1.3 KiB
Diff

From d0548034aab7e57778ee649e555d576810019cb8 Mon Sep 17 00:00:00 2001
From: Hannes Reinecke <hare@suse.de>
Date: Tue, 13 May 2014 11:01:29 +0200
Subject: 95fcoe: update fcoe interface check
The 'create' sysfs entry has been removed for newer fcoe modules,
so just check if the module directory exists.
References: bnc#877288
Signed-off-by: Hannes Reinecke <hare@suse.de>
---
modules.d/95fcoe/parse-fcoe.sh | 5 +----
1 file changed, 1 insertion(+), 4 deletions(-)
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
index dc40c82..8e08303 100755
--- a/modules.d/95fcoe/parse-fcoe.sh
+++ b/modules.d/95fcoe/parse-fcoe.sh
@@ -22,14 +22,11 @@
# BRCM: Later, should check whether bnx2x is loaded first before loading bnx2fc so do not load bnx2fc when there are no Broadcom adapters
-[ -e /sys/module/fcoe/parameters/create ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
+[ -d /sys/module/fcoe ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
modprobe bnx2fc >/dev/null 2>&1
udevadm settle --timeout=30
-# FCoE actually supported?
-[ -e /sys/module/fcoe/parameters/create ] || modprobe fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
-
parse_fcoe_opts() {
local IFS=:
set $fcoe
--
1.8.5.2